# Renew the specified Domain (https://developer.godaddy.com/en/docs/references/rest/domains/v1/renew)

---
title: Renew the specified Domain
description: 'Renews the domain for the specified period, extending the expiration date.'
full: true
---

Full description

Renews the domain for the specified period, extending the expiration date. Charges the account's billing method.

## POST /v1/domains/{domain}/renew

Renew the specified Domain

Renews the domain for the specified period, extending the expiration date. Charges the account's billing method.

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `domain` | string | yes | Domain to renew |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `X-Shopper-Id` | string | no | Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account. |

### Request body

Options for renewing existing Domain

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/DomainRenew`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/DomainRenew`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/DomainRenew`

### Responses

**200** — Request was successful

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/DomainPurchaseResponse`

**400** — Request was malformed

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**401** — Authentication info not sent or invalid

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**403** — Authenticated user is not allowed access

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**404** — Resource not found

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**409** — The domain status does not allow performing the operation

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**422** — - End-user must read and consent to all of the following legal agreements
- `domain` must match `sld.tld`

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**429** — Too many requests received within interval

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/ErrorLimit`

**500** — Internal server error

Content-Type: `application/json`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `application/xml`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/javascript`

Schema:

- schema reference: `#/components/schemas/Error`

Content-Type: `text/xml`

Schema:

- schema reference: `#/components/schemas/Error`

**Security:** requires `bearerAuth`.
